## PX8148_12_116617.zip

=== Makefile ===
DEFAULT_JUMP=0x80300000
RTL8186_BOOTCODE=1

ifeq ($(RTL8186_BOOTCODE),1)
RTL8186=RTL8186=1
endif

all:
	@echo "No rules to make target. You should choose:"
	@echo "    make {32bit | 16bit}"
#32-bit 16M SDRAM
boot:
	make -C boot
32bit: clean
	make -C boot boot JUMP_ADDR=$(DEFAULT_JUMP) $(RTL8186)
	make -C btcode $(RTL8186)
#16-bit 8M SDRAM
16bit:	clean
	make -C boot boot JUMP_ADDR=$(DEFAULT_JUMP) $(RTL8186)
	make -C btcode 16B=1  $(RTL8186)

clean:
	make -C boot clean
	make -C btcode clean
