=== AP/igmpproxy/Makefile ===
CC=mips-uclibc-gcc
CFLAGS=-I../../linux-2.4.18/include -O2
EXEC = igmpproxy
OBJS = mroute-api.o lib.o ifvc.o syslog.o timeout.o main.o

ifeq ($(RTL8186_EC),1)
CFLAGS+=-DCONFIG_RTL8186_EC
endif

all: BUILT_TIME $(EXEC)


$(EXEC): $(OBJS)
	$(CC) $(LDFLAGS) $(INCLUDE) -o $@ $(OBJS) $(LDLIBS$(LDLIBS-$(@)))
	mips-uclibc-strip igmpproxy

romfs:
	$(ROMFSINST) /bin/$(EXEC)

clean:
	-rm -f $(EXEC) *.elf *.o *.bak built_time

BUILT_TIME:
	@echo  \#define BUILT_TIME \"`TZ=UTC date -u "+%Y.%m.%d-%H:%M%z" `\" > ./built_time
